Loading...
Searching...
No Matches
pappso::FilterOboPsiModTermLabel Class Reference

`#include <filterobopsimodtermlabel.h>`

Inheritance diagram for pappso::FilterOboPsiModTermLabel:

## Public Member Functions

| FilterOboPsiModTermLabel (OboPsiModHandlerInterface &sink, const QString &label_search)
| FilterOboPsiModTermLabel (const FilterOboPsiModTermLabel &other)
virtual | ~FilterOboPsiModTermLabel ()
void | setOboPsiModTerm (const OboPsiModTerm &term) override
| triggered function on each obo term when parsing obo file

## Private Attributes

QRegularExpression | m_labelMatch
OboPsiModHandlerInterface & | m_sink

## Detailed Description

Definition at line 32 of file filterobopsimodtermlabel.h.

## Constructor & Destructor Documentation

## FilterOboPsiModTermLabel() [1/2]

pappso::FilterOboPsiModTermLabel::FilterOboPsiModTermLabel | ( | OboPsiModHandlerInterface & | sink,
|  | const QString & | label_search )

Definition at line 31 of file filterobopsimodtermlabel.cpp.

: m_sink(sink)
{
m_labelMatch.setPattern(QString(label_search).replace("*", "(.*)"));
m_labelMatch.setPatternOptions(QRegularExpression::CaseInsensitiveOption);
}
pappso::FilterOboPsiModTermLabel::m_labelMatch
QRegularExpression m_labelMatch
Definition filterobopsimodtermlabel.h:35
pappso::FilterOboPsiModTermLabel::m_sink
OboPsiModHandlerInterface & m_sink
Definition filterobopsimodtermlabel.h:36

References m_labelMatch, and m_sink.

Referenced by FilterOboPsiModTermLabel().

## FilterOboPsiModTermLabel() [2/2]

pappso::FilterOboPsiModTermLabel::FilterOboPsiModTermLabel | ( | const FilterOboPsiModTermLabel & | other | ) |

Definition at line 43 of file filterobopsimodtermlabel.cpp.

: m_labelMatch(other.m_labelMatch), m_sink(other.m_sink)
{
}

References FilterOboPsiModTermLabel(), m_labelMatch, and m_sink.

## ~FilterOboPsiModTermLabel()

pappso::FilterOboPsiModTermLabel::~FilterOboPsiModTermLabel | ( |  | ) |

virtual

Definition at line 39 of file filterobopsimodtermlabel.cpp.

{
}

## Member Function Documentation

## setOboPsiModTerm()

void pappso::FilterOboPsiModTermLabel::setOboPsiModTerm | ( | const OboPsiModTerm & | term | ) |

override virtual

triggered function on each obo term when parsing obo file

Implements pappso::OboPsiModHandlerInterface.

Definition at line 49 of file filterobopsimodtermlabel.cpp.

{
// qDebug() << term._psi_mod_label << " " << term._psi_ms_label;
if(m_labelMatch.match(term.m_psiModLabel).hasMatch())
{
m_sink.setOboPsiModTerm(term);
}
else if(m_labelMatch.match(term.m_psiMsLabel).hasMatch())
{
m_sink.setOboPsiModTerm(term);
}
}

References m_labelMatch, pappso::OboPsiModTerm::m_psiModLabel, pappso::OboPsiModTerm::m_psiMsLabel, and m_sink.

## Member Data Documentation

## m_labelMatch

QRegularExpression pappso::FilterOboPsiModTermLabel::m_labelMatch

private

Definition at line 35 of file filterobopsimodtermlabel.h.

Referenced by FilterOboPsiModTermLabel(), FilterOboPsiModTermLabel(), and setOboPsiModTerm().

## m_sink

OboPsiModHandlerInterface& pappso::FilterOboPsiModTermLabel::m_sink

private

Definition at line 36 of file filterobopsimodtermlabel.h.

Referenced by FilterOboPsiModTermLabel(), FilterOboPsiModTermLabel(), and setOboPsiModTerm().

The documentation for this class was generated from the following files:

- pappsomspp/core/obo/filterobopsimodtermlabel.h
- pappsomspp/core/obo/filterobopsimodtermlabel.cpp